<script setup lang="ts">
import { useLoadingStore } from '@/stores/loading'

const store = useLoadingStore()
</script>

<template>
  <v-dialog v-model="store.loading" persistent>
    <v-card class="text-center justify-center align-center" width="auto">
      Loading...
      <v-progress-circular indeterminate color="primary" />
    </v-card>
  </v-dialog>
</template>
